package com.fastest.pass.splash.presentation.ui

import android.widget.Toast
import android.window.SplashScreen
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.getValue
import androidx.compose.runtime.livedata.observeAsState
import androidx.compose.ui.platform.LocalContext
import androidx.hilt.navigation.compose.hiltViewModel
import androidx.navigation.NavHostController
import com.fastest.pass.splash.presentation.viewmodels.SplashViewModel
import dagger.hilt.android.lifecycle.HiltViewModel

@Composable
fun SplashScreen(navHostController: NavHostController, splashViewModel: SplashViewModel = hiltViewModel()) {
    val navigateToLogin by splashViewModel.navigateToLogin.observeAsState()
    val context = LocalContext.current

    LaunchedEffect(key1 = true) {
        splashViewModel.checkAuthentication()
    }

    if (navigateToLogin == true) {
        Toast.makeText(context, "Login", Toast.LENGTH_SHORT).show()
    } else {
        Text(text = "Splash")
    }

}